nxt.http.callers

## Class DeleteCurrencyCall

- java.lang.Object
- - nxt.http.APICall.Builder<T>
  - - nxt.http.callers.CreateTransactionCallBuilder<DeleteCurrencyCall>
    - - nxt.http.callers.DeleteCurrencyCall

-     public class DeleteCurrencyCall
      extends CreateTransactionCallBuilder<DeleteCurrencyCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeleteCurrencyCall` | `create()`
    `DeleteCurrencyCall` | `currency(long currency)`
    `DeleteCurrencyCall` | `currency(java.lang.String currency)`

    - ### Methods inherited from class nxt.http.callers.CreateTransactionCallBuilder

      `broadcast, compressMessageToEncrypt, compressMessageToEncryptToSelf, deadline, ecBlockHeight, ecBlockId, ecBlockId, encryptedMessageData, encryptedMessageData, encryptedMessageIsPrunable, encryptedMessageNonce, encryptedMessageNonce, encryptToSelfMessageData, encryptToSelfMessageData, encryptToSelfMessageNonce, encryptToSelfMessageNonce, feeNQT, message, messageIsPrunable, messageIsText, messageToEncrypt, messageToEncryptIsText, messageToEncryptToSelf, messageToEncryptToSelfIsText, phased, phasingFinishHeight, phasingHashedSecret, phasingHashedSecretAlgorithm, phasingHolding, phasingHolding, phasingLinkedFullHash, phasingLinkedFullHash, phasingMinBalance, phasingMinBalanceModel, phasingQuorum, phasingVotingModel, phasingWhitelisted, publicKey, publicKey, recipientPublicKey, recipientPublicKey, referencedTransactionFullHash, referencedTransactionFullHash, secretPhrase`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static DeleteCurrencyCall create()

    - #### currency

          public DeleteCurrencyCall currency(java.lang.String currency)

    - #### currency

          public DeleteCurrencyCall currency(long currency)